%define snapshot 20040214
%define teaname ck

%def_enable shared
%def_with man

Name: tcl-%teaname
Version: 8.4
Release: alt5.1
Summary: Tk-like Curses toolkit for Tcl
License: BSD
Group: Development/Tcl
URL: http://www.ch-werner.de/ck
# :pserver:cvs@45.free.net/work/oss co ck
Source: %teaname-%{?snapshot:%snapshot}%{!?snapshot:%version}.tar.bz2
Patch0: %name-8.4-alt-make.patch.gz
Patch1: %name-8.4-alt-lib64.patch.gz
Patch2: %name-8.4-alt-ckdialog.patch.gz

# Automatically added by buildreq on Sun Nov 26 2006 (-bi)
BuildRequires: libgpm-devel libncurses-devel tcl-devel


%description
Ck is a (XPG4|n)curses widget set modelled after Tk designed to work
closely with the tcl scripting language. It allows you to write simple
programs with full featured console mode UIs.


%prep
%setup -q %{?snapshot:-c}
%patch0 -p1
%patch1 -p1
%patch2 -p1


%build
%add_optflags -DUSE_NON_CONST
%configure \
    %{subst_enable shared} \
    --with-tcl=%_libdir

%make_build cwsh


%install
%make_install INSTALL_ROOT=%buildroot install
%if_with man
%make_install MAN_INSTALL_DIR=%buildroot%_mandir MANN_INSTALL_DIR=%buildroot%_mandir/mann%teaname install-man
for f in %buildroot%_mandir/mann%teaname/*.n; do
    mv $f ${f}%teaname
done
%endif
%tea_makeindex -v -C %buildroot%_tcldatadir/%teaname%version

%add_findprov_lib_path %_tcllibdir


%files
%_bindir/*
%_tcllibdir/*.so
%dir %_tcldatadir/%teaname%version
%_tcldatadir/%teaname%version/*.tcl
%_tcldatadir/%teaname%version/tclIndex
%_includedir/*
%if_with man
%_man1dir/*
%dir %_mandir/mann%teaname
%_mandir/mann%teaname/*
%endif


%changelog
* Sun Nov 26 2006 Led <led@altlinux.ru> 8.4-alt5.1
- enabled cwsh, man-pages

* Thu Jul 20 2006 Sergey Bolshakov <sbolshakov@altlinux.ru> 8.4-alt5
- fixed build on x86_64

* Mon Mar 27 2006 Sergey Bolshakov <sbolshakov@altlinux.ru> 8.4-alt4
- rebuilt in new env

* Wed Nov  3 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 8.4-alt3
- rebuilt against new shiny tcl reqprov finder

* Sat Jul 10 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 8.4-alt2
- #4764 fixed

* Sat Feb 14 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 8.4-alt1
- initial build for %distribution

